Package weka.core.stopwords

# Class AbstractStopwords

java.lang.Object
weka.core.stopwords.AbstractStopwords

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `StopwordsHandler`

Direct Known Subclasses:
  `AbstractFileBasedStopwords`, `MultiStopwords`, `Null`, `Rainbow`

public abstract class AbstractStopwords extends Object implements OptionHandler, StopwordsHandler, Serializable
Ancestor for stopwords classes.

Version:
  $Revision: 10978 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractStopwords()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `debugTipText()`
  Returns the tip text for this property
  `boolean`
  `getDebug()`
  Get whether debugging is turned on.
  `String[]`
  `getOptions()`
  Gets the current settings of the Classifier.
  `abstract String`
  `globalInfo()`
  Returns a string describing the stopwords scheme.
  `boolean`
  `isStopword(String word)`
  Returns true if the given string is a stop word.
  `Enumeration<Option>`
  `listOptions()`
  Returns an enumeration describing the available options.
  `void`
  `setDebug(boolean debug)`
  Set debugging mode.
  `void`
  `setOptions(String[] options)`
  Parses a given list of options.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractStopwords

    public AbstractStopwords()

- ## Method Details

  - ### globalInfo

    public abstract String globalInfo()
    Returns a string describing the stopwords scheme.
    Returns:
      a description suitable for displaying in the gui

  - ### listOptions

    public Enumeration<Option> listOptions()
    Returns an enumeration describing the available options.
    Specified by:
      `listOptions` in interface `OptionHandler`
    Returns:
      an enumeration of all the available options.

  - ### setOptions

    public void setOptions(String[] options) throws Exception
    Parses a given list of options.
    Specified by:
      `setOptions` in interface `OptionHandler`
    Parameters:
      `options` - the list of options as an array of strings
    Throws:
      `Exception` - if an option is not supported

  - ### getOptions

    public String[] getOptions()
    Gets the current settings of the Classifier.
    Specified by:
      `getOptions` in interface `OptionHandler`
    Returns:
      an array of strings suitable for passing to setOptions

  - ### setDebug

    public void setDebug(boolean debug)
    Set debugging mode.
    Parameters:
      `debug` - true if debug output should be printed

  - ### getDebug

    public boolean getDebug()
    Get whether debugging is turned on.
    Returns:
      true if debugging output is on

  - ### debugTipText

    public String debugTipText()
    Returns the tip text for this property
    Returns:
      tip text for this property suitable for displaying in the explorer/experimenter gui

  - ### isStopword

    public boolean isStopword(String word)
    Returns true if the given string is a stop word.
    Specified by:
      `isStopword` in interface `StopwordsHandler`
    Parameters:
      `word` - the word to test
    Returns:
      true if the word is a stopword